two problems i am new with ubuntu...

xristos

New Member
Credits
56
hello i have two problems i have searched online for solution i tried some things but didnt worked....
i want to install jdownloader2 in my ubuntu and the problem is it dont find repository.,,,

the steps i make are first i write sudo add-apt-repository ppa:jd-team/jdownloader

and then sudo apt-get update
( i also got this in update
Err:7 http://ppa.launchpad.net/jd-team/jdownloader/ubuntu groovy Release
404 Not Found [IP: 2001:67c:1560:8008::19 80] )

and then when i write sudo apt-get install jdownloader

i got
E: Unable to locate package jdownloader

i also tried sudo -c "java -jar /path/JDownloader.jar &" user but i got this
usage: sudo -h | -K | -k | -V
usage: sudo -v [-AknS] [-g group] [-h host] [-p prompt] [-u user]
usage: sudo -l [-AknS] [-g group] [-h host] [-p prompt] [-U user] [-u user] [command]
usage: sudo [-AbEHknPS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p prompt] [-T timeout] [-u user] [VAR=value] [-i|-s]
[<command>]
usage: sudo -e [-AknS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p prompt] [-T timeout] [-u user] file ...


any ideas how to fix it ?



also another problem is i had windows7 before and at a time speakers of laptop stop working.... now i changed to ubuntu and it also dont work, how can i check the system is its broken speakers or its just the software? i have ubuntu now and sorry for the incovience!!! i mean how can i see if my sound drivers etc are properly installed ? my laptop is hp g7000
 


KGIII

Super Moderator
Staff member
Gold Supporter
Credits
16,737
Look here:


There's a distinct lack of "groovy" on that page. The last modification was four years ago.

Your release is unsupported. You can't install the software that way.

Additionally, you're using Groovy Gorilla - 20.10. Support for 20.10 ends on the 27th of this month.

If you want to install it (after upgrading to a supported release, of course) then you can just see this page:


It's a Java application which doesn't really get installed so much as it gets executed. You can do the work to make it function as though it was installed the normal way by creating shortcuts and .desktop files.
 

KGIII

Super Moderator
Staff member
Gold Supporter
Credits
16,737
how can i check the system is its broken speakers or its just the software
Also, for this, use your terminanl to open 'pavucontrol' and root around in there to see if anything is muted. Like 90% of the time, that's the problem and that's the solution.
 

xristos

New Member
Credits
56
Also, for this, use your terminanl to open 'pavucontrol' and root around in there to see if anything is muted. Like 90% of the time, that's the problem and that's the solution.
i opened the pavucontrol and i saw everything was not muted so i think maybe the speakers are gone... because only the one speaker was working...
 

xristos

New Member
Credits
56
Look here:


There's a distinct lack of "groovy" on that page. The last modification was four years ago.

Your release is unsupported. You can't install the software that way.

Additionally, you're using Groovy Gorilla - 20.10. Support for 20.10 ends on the 27th of this month.

If you want to install it (after upgrading to a supported release, of course) then you can just see this page:


It's a Java application which doesn't really get installed so much as it gets executed. You can do the work to make it function as though it was installed the normal way by creating shortcuts and .desktop files.

i tried to
sudo apt-get install groovy gorilla
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package gorilla

if i got it right goovie gorilla is a similar programm like jdownloader? is there any programm similar for ubuntu and easy to install ? i mean like jdownloader
 

KGIII

Super Moderator
Staff member
Gold Supporter
Credits
16,737
No, Groovy Gorilla is the codename for the version of Ubuntu you're using.

I gave you instructions for jdownloader above. Download the file and follow the directions. If you need assistance executing a Java file in Linux then I'd start at a search engine as it's covered extensively and there's no need to duplicate the content.

Additionally, your OS version (Groovy Gorilla) runs out of support in just a few days. You should upgrade to a newer version.
 

Lord Boltar

Active Member
Credits
2,705
Ubuntu 20.10 is code-named Groovy Gorilla and support ends the end of April, the interim releases for Ubuntu is usually about 6 months of shelf-life each versions will include 20.10, 21.04, 21.10 The next LTS will be 22.04 - I only use LTS releases which currently is 20.04 Focal Fossa - you might want to look at uGet which is available through the Synaptic Package Manager
 

xristos

New Member
Credits
56
if i run from terminal the command sudo apt upgrade (or something like this ) it will not be ok for another time ?

also the speakers are broken , i just connected some ear speakers and they play good!!! :) so i will buy some speakers for pc :) just telling the fix :)
 

Lord Boltar

Active Member
Credits
2,705
No those interim releases are developmental and not upgradable to the LTS version
According to Ubuntu Engineering Foundations team manager Steve Langasek - "Upgrades between LTS releases are not enabled by default" - with that said - If you choose to upgrade a developmental release before then, you can pass the -d option to the upgrade tool, running
Code:
 sudo do-release-upgrade -d
or
Code:
sudo update-manager -d
, to upgrade - the -d option is for developmental releases only and not the LTS release
 

xristos

New Member
Credits
56
so if i want the upgrade i need to burn another dvd with another version of ubuntu ?
if i dont upgrade it and i let it as it is now what will hapen in 27 april that it expires?
 

Lord Boltar

Active Member
Credits
2,705
so if i want the upgrade i need to burn another dvd with another version of ubuntu ?
if i dont upgrade it and i let it as it is now what will hapen in 27 april that it expires?
You can only upgrade a developmental to a developmental by running the commands from my earlier post in the terminal - if you want to use a LTS version you would have to download that and reformat and install that version, which currently is 20.04.2
When it expires no more updates, no more support from Ubuntu/Canonical
 

xristos

New Member
Credits
56
can you sent me any links to burn a dvd for format with the new version of ubuntu ?
also if there is no more support from ubuntu when it expires i cant install other programms and applications ?
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Members online


Top